% Author: Aparna Rajpurkar

function cent_binmask = getCentroidMask(binmask)
    % given a binary mask of segmented regions, find the centroids
    % and return a binary image with only the centroids marked
    centroids_structs = regionprops(binmask, 'centroid');
    centroids = cat(1, centroids_structs.Centroid);
    centroids = uint8(centroids);
    
    cent_binmask = zeros(size(binmask));
    
    for i=1:size(centroids,1)
        x = centroids(i,1);
        y = centroids(i,2);
        
        cent_binmask(x,y) = 1;
    end
    
    cent_binmask = cent_binmask > 0;
end
