% Author: Aparna Rajpurkar

function plotPrs(prs, random, funcnames, plottitle)
    % plot the precision recall graph
    for i=1:size(prs,2)
        curr_func = funcnames(i,:);
        all_p = prs(:,i,1);
        all_r = prs(:,i,2);
        max_x = max(all_r);
        
        fig=figure('visible', 'off');
        plot(all_r, all_p, '*');
        hline = line([0, max_x + 0.01],[random(i), random(i)]);
        hline.Color = 'r';
        title(strcat(curr_func));
        ylim([0 1]);
        xlabel("Recall");
        ylabel("Precision");
        
        saveas(fig, strcat(plottitle,'_pre_plot_alg_',num2str(i),'.png'));
    end
end
