% Author: Aparna Rajpurkar

function plotPrsCombined(prs, prs_seg, random, funcnames, plottitle)
    % plot the precision recall graph with both pre-GMM Segmented
    % and post-GM Segmented values
    for i=1:size(prs,2)
        curr_func = funcnames(i,:);
        all_p = prs(:,i,1);
        all_r = prs(:,i,2);
        
        all_p_seg = prs_seg(:,i,1);
        all_r_seg = prs_seg(:,i,2);
        
        max_x = max(all_r_seg);
        
        fig=figure('visible', 'off');

        for j=1:length(all_p)
            box on;
            text(all_r(j), all_p(j), num2str(j), 'FontWeight', 'bold', 'Color', 'b');
            text(all_r_seg(j), all_p_seg(j), num2str(j), 'Color', 'r');

        end

        hline = line([0, max_x+0.01],[random(i), random(i)]);
        hline.Color = 'r';
        title(strcat(curr_func,' with GMM Segmentation'));
        ylim([0 1]);
        xlabel("Recall");
        ylabel("Precision");
        
        saveas(fig, strcat(plottitle,'_pre_plot_alg_',num2str(i),'.png'));
    end
end
