% Author: Aparna Rajpurkar

function [merfish_imgs, truth_bins] = readMerfish(dir_img, dir_truth)
    % function to read in all the MERFISH images and ground truth
    % binary images into data structures

    imgs_merfish = dir(strcat(dir_img, '*.png'));
    imgs_truth = dir(strcat(dir_truth, '*.png'));
    num_imgs = length(imgs_merfish);
    
    merfish_imgs = cell([num_imgs 1]);
    truth_bins = cell([num_imgs 1]);
    
    for i=1:num_imgs
        img_merfish = im2double(imread(strcat(dir_img,imgs_merfish(i).name)));
        img_truth = im2double(imread(strcat(dir_truth,imgs_truth(i).name)));
        
        % make binary image logical
        img_truth = img_truth > 0;
        
        % add it to the cell array
        merfish_imgs{i} = img_merfish;
        truth_bins{i} = img_truth;
    end
end
